/* omg.corba.corba__Object.java */
/* Chris Jacobi, April 22, 1997 2:54 pm PDT */

/*
 * Copyright (c) 1996 Xerox Corporation.  All Rights Reserved.  
 * Unlimited use, reproduction, and distribution of this software is
 * permitted.  Any copy of this software must include both the above
 * copyright notice of Xerox Corporation and this paragraph.  Any
 * distribution of this software must comply with all applicable United
 * States export control laws.  This software is made available AS IS,
 * and XEROX CORPORATION DISCLAIMS ALL WARRANTIES, EXPRESS OR IMPLIED,
 * INCLUDING WITHOUT LIMITATION THE IMPLIED WARRANTIES OF MERCHANTABILITY
 * AND FITNESS FOR A PARTICULAR PURPOSE, AND NOTWITHSTANDING ANY OTHER
 * PROVISION CONTAINED HEREIN, ANY LIABILITY FOR DAMAGES RESULTING FROM
 * THE SOFTWARE OR ITS USE IS EXPRESSLY DISCLAIMED, WHETHER ARISING IN
 * CONTRACT, TORT (INCLUDING NEGLIGENCE) OR STRICT LIABILITY, EVEN IF
 * XEROX CORPORATION IS ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
 */
 
/* $Id: corba__Object.java,v 1.1 1997/04/22 21:57:38 jacobi Exp $ */
 
package omg.corba;

/**
 * Generic, client visible interface for objects.<p>
 * This is using whatever name for Object is choosen by the omg standard
 * and can be set independently of what names are used in proper ILU
 * clients.
 * 
 * In Ilu this is sandwiched: <br>
 * 	Allways accept xerox.ilu.IluObject0  <br>
 * 	Allways generate xerox.ilu.IluObject <p>
 *
 * NEVER create instances which don't also extend the IluObject
 * subclass.  (All Ilu routines do a run time check!) 
 *
 * This is not xerox.ilu.CORBA_Object.   All ilu objects are
 * omg.corba.corba__Object, but NOT all ilu objects are 
 * xerox.ilu.CORBA_Object<br>
 * This might become simpler once we know the real omg standard
 * and once the java system allows redefining the Object
 * class in other packages.  (bug in JDK1.0)
 * 
 * @see xerox.ilu.IluObject
 * @see xerox.ilu.IluObject0
 * @see xerox.ilu.CORBA_Object
 */
public interface corba__Object extends xerox.ilu.IluObject0 {
}
